hindi_stopwords = [
    'अंदर', 'अत', 'अदि', 'अपना', 'अपनि', 'अपने', 'अभी', 'अथवा', 'अगर', 'अति', 'अथ', 'अब', 'आदि', 'आप',
    'इत्यादि', 'इन', 'इनका', 'इन्हीं', 'इन्हें', 'इस', 'इसका', 'इसकि', 'इसके', 'इसमें', 'इसी', 'इसे',
    'उन्हें', 'उनका', 'उनकि', 'उनके', 'उनको', 'उधर', 'उन्हीं', 'उसी', 'उसे', 'एक', 'एवं', 'ऐसे', 'और',
    'कई', 'कर', 'करता', 'करते', 'करना', 'करने', 'करें', 'कहते', 'कहा', 'का', 'काफी', 'कि', 'किंतु', 'की',
    'कुछ', 'कुल', 'कृपया', 'के', 'को', 'कौन', 'कौनसा', 'गया', 'घर', 'जब', 'जहाँ', 'जैसे', 'जैसा', 'जिन',
    'जिन्हें', 'जिन्हों', 'जिस', 'जिसे', 'जुका', 'तक', 'तब', 'तरह', 'तिन', 'तिन्हें', 'तिन्हों', 'तिस',
    'तिसे', 'तो', 'था', 'थी', 'थे', 'दबारा', 'दिया', 'दूसरा', 'दो', 'द्वारा', 'न', 'नहीं', 'ना', 'निचे',
    'नीचे', 'ने', 'पर', 'पहले', 'पूरा', 'फिर', 'बनी', 'बना', 'बने', 'बात', 'बाद', 'बाला', 'बिलकुल',
    'भी', 'भीतर', 'मगर', 'मानो', 'मे', 'में', 'यदि', 'यह', 'यहाँ', 'यही', 'या', 'यानी', 'यूँ', 'यॆ', 'रखें',
    'रहा', 'रहे', 'रखी', 'रखें', 'लिए', 'लिये', 'लेकिन', 'व', 'वग़ैरह', 'वर्ग', 'वह', 'वहाँ', 'वाले', 'वास्तव',
    'वास्तव में', 'वे', 'वो', 'शायद', 'संग', 'सभी', 'सबसे', 'सामने', 'सही', 'साख्य', 'सी', 'साथ', 'साभार',
    'से', 'सो', 'ही', 'हुआ', 'हुई', 'हुए', 'है', 'हैं', 'हो', 'होता', 'होती', 'होते', 'होना', 'होने',
    'अबतक', 'अलग', 'अक्सर', 'अतिरिक्त', 'अपेक्षाकृत', 'अरे', 'असल में', 'असल', 'आदि', 'आपका', 'आपके', 'इसीलिए',
    'इसलिए', 'इसलिये', 'उसीलिए', 'कुछ भी', 'कितना', 'किस', 'किसी', 'किसे', 'क्यों', 'क्योंकि', 'खासकर',
    'गौरतलब', 'चाहे', 'जिनके', 'जिनसे', 'जितना', 'जैसा कि', 'जैसे कि', 'जहाँ तक', 'तदनुसार', 'तब तक',
    'तबसे', 'तुम', 'तुम्हारा', 'तुम्हारी', 'तुम्हारे', 'थोड़ा', 'थोड़ी', 'थोड़े', 'देर', 'ध्यान से', 'नए', 'नयी',
    'नया', 'पल', 'पहुँच', 'प्रति', 'बजाय', 'बिलकुल नहीं', 'बेहद', 'भले ही', 'मात्र', 'मत', 'मानिए', 'मुझे',
    'मुझसे', 'मुझको', 'मेरा', 'मेरे', 'मेरी', 'रखना', 'लगभग', 'लगता', 'लगती', 'लगते', 'लगा', 'लगाया',
    'लगाने', 'वाले', 'वाला', 'वाली', 'विषय में', 'सकता', 'सकती', 'सकते', 'सब', 'सभी', 'सिर्फ', 'सिर्फ़',
    'सुनिए', 'उसके बाद', 'उसमें', 'उससे', 'उसको', 'उसे', 'उसका', 'उतना', 'एसा', 'ऐसा', 'ऐसी', 'ऐसे',
    'इसमें से', 'करेगा', 'करोगे', 'करूँगा', 'करेंगी', 'करेंगें', 'करेंगे', 'किए', 'किया', 'कीजिए', 'कीजिये'
]

def get_stopwords():
    return hindi_stopwords

def filter_stopwords(text):
    words = text.split()
    filtered = [word for word in words if word not in hindi_stopwords]
    return " ".join(filtered)

